<script type="text/javascript" src="<?= _st('datepicker.js') ?>"></script>
<link rel="stylesheet" type="text/css" href="<?= _st('datepicker.css') ?>" />
<?/*<script type="text/javascript" src="<?= _st('private-tours.js') ?>"></script>*/?>

<style type="text/css">
#tour-edit {
	border: 1px solid #ccc;
	background: #fff;
	padding: 10px;
}
#tour-edit h3 {
	position: relative;
	padding-bottom: 10px;
	margin-bottom: 10px;
	border-bottom: 1px dashed #e5e5e5;
}
#tour-edit h3 span {
	background: #eee;
	font-weight: bold;
	padding: 2px 5px;
	cursor: pointer;
	position: absolute;
	right: 0;
	top: 0;
}
#tour-edit .profile span {
	display:block;
	font-size:14px;
	font-weight:bold;
	margin-bottom:3px;
}

#tour-edit .profile img {
	display: block;
	border: 3px solid #555;
}

#tour-edit .profile {
	float: left;
	margin-right: 10px;
}

#tour-edit .form {
	float: left;
	padding-top: 20px;
}
#tour-edit .actions {
	margin-top: 10px;
	padding-top: 10px;
	border-top: 1px dashed #e5e5e5;
}
#tour-edit .actions .styled-button {
	float: right !important;
}
#tour-edit .error {
	margin: 3px 0 10px 130px;
	color: red;
}
.styled-button {
	background: url('<?= _st('_/btn_delete-tours.gif') ?>') no-repeat 0 0;
	padding-left: 20px;
	float: left;
	line-height: 18px;
	height: 20px;
	text-decoration: none;
	font-weight: bold;
	color: #fff;
}
a.styled-button:hover { color: #fff }
.styled-button span {
	background: url('<?= _st('_/btn_delete-tours.gif') ?>') no-repeat 100% 100%;
	padding-right: 10px;
	display: block;
	height: 20px;
}

.susres {border-collapse:collapse; width: 100%}
.susres tr { }
.susres tr th { border: 1px solid #ccc; padding: 5px; }
.susres tr td { border: 1px solid #ccc; padding: 5px; text-align: center }

.pckg-info {
	background: #f0fbff;
	padding: 5px;
	border: 1px solid #eee;
}
.pckg-info .susres-details {
	color: #0099cc !important;
	font-size: 10px;
}
.pckg-info .deactivate {
	background: url('<?= _st('_/btn_sr_deactivate_' . $this->lang() . '.gif') ?>') no-repeat 0 0;
	display: block;
	width: 98px;
	height: 18px;
	margin: 2px 0 0 0px;
}
.pckg-info .activate {
	background: url('<?= _st('_/btn_sr_activate_' . $this->lang() . '.gif') ?>') no-repeat 0 0;
	display: block;
	width: 98px;
	height: 18px;
	margin: 2px 0 0 0px;
}
</style>


<script type="text/javascript">
var Reload, ShowPopup, ClosePopup, Save;
document.addEvent('domready', function () {

	Cubix.Lang.id = '<?= $this->lang() ?>';

	var overlay = new Cubix.Overlay($(document.body), {
		has_loader: false
	});
	
	ShowResSusDetailsPopup = function (url) {
		var container = $('container'),
			data = {},
			b = $(document.body);


		overlay.disable();
		new Request({
			url: url,
			method: 'get',
			data: data,
			onSuccess: function (html) {
				var popup = new Element('div').inject(b).setStyles({
					position: 'absolute',
					visibility: 'hidden',
					zIndex: 10000
				}).set('html', html);
				popup.setStyles({
					left: b.getWidth() / 2 - popup.getWidth() / 2 - 100,
					top: b.getHeight() / 2 - popup.getHeight() / 2 - 200,
					visibility: null
				});
			}
		}).send();
	};

	Reload = function () {
		 var overlay = new Cubix.Overlay($(Cubix.Agencyescort.container), {
			loader: _st('loader-small.gif'),
			position: '50%',
			offset: {
				left: -11,
				top: -1
			}
		});

		var overlay2 = new Cubix.Overlay($(Cubix.Agencyescort.container2), {
			loader: _st('loader-small.gif'),
			position: '50%',
			offset: {
				left: -11,
				top: -1
			}
		});

		var overlay3 = new Cubix.Overlay($(Cubix.Agencyescort.container3), {
			loader: _st('loader-small.gif'),
			position: '50%',
			offset: {
				left: -11,
				top: -1
			}
		});

		overlay.disable();
		overlay2.disable();
		overlay3.disable();
		
		Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:pagerInactive, is_active:1});
		Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:pagerActive, is_active:0 });
		Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:pagerDelete, is_active:-1 });
		
		overlay.enable();
		overlay2.enable();
		overlay3.enable();
	};

	ShowPopup = function (url) {
		var container = $('container'),
			data = {},
			b = $(document.body);


		overlay.disable();
		new Request({
			url: url,
			method: 'get',
			data: data,
			onSuccess: function (html) {
				var popup = new Element('div').inject(b).setStyles({
					position: 'absolute',
					visibility: 'hidden',
					zIndex: 10000
				}).set('html', html);
				popup.setStyles({
					left: b.getWidth() / 2 - popup.getWidth() / 2 - 100,
					top: b.getHeight() / 2 - popup.getHeight() / 2 - 200,
					visibility: null
				});
				InitPopup(popup);
			}
		}).send();
	};

	var InitPopup = function (p) {		
		p.store('overlay', new Cubix.Overlay(p.getElement('form')));
		
		var date_from = new DatePicker(p.getElement('input[name=date]'), { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'j M Y H:i', timePicker: true });

		p.getElement('form').set('send', {
			onSuccess: function (resp) {
				var json = JSON.decode(resp);
				if ( 'success' == json.status ) {
					ClosePopup();
					Reload();
					return;
				}

				for ( var field in json.msgs ) {
					var el = p.getElement('*[name=' + field + ']');

					if ( ! el ) continue;
					el = el.getParent('.inner');
					new Element('div', { 'class': 'error', html: json.msgs[field] }).inject(el);
				}

				p.retrieve('overlay').enable();
			}
		});
	};

	ClosePopup = function () {
		$('tour-edit').destroy();
		overlay.enable();
	};

	Save = function (p) {
		p.getElements('.error').destroy();
		p.retrieve('overlay').disable();
		p.getElement('form').send();
	};

	//Reload();
	
	initSusRes();
	initSusResDetails();
});
var initSusRes = function() {
		if ( $$('.sus-res') ) {
			$$('.sus-res').removeEvents();
			$$('.sus-res').addEvent('click', function(e){
				e.stop();

				var href = this.get('href');
				ShowPopup(href);
			});
		}
	}
	
	var initSusResDetails = function() {
		if ( $$('.susres-details') ) {
			$$('.susres-details').removeEvents();
			$$('.susres-details').addEvent('click', function(e){
				e.stop();

				var href = this.get('href');
				ShowPopup(href);
			});
		}
	}
	/*var initSusRes = function() {
		
		if ( $$('.sus-res') ) {
			$$('.sus-res').removeEvents();
			$$('.sus-res').addEvent('click', function(e){
				e.stop();

				 var overlay = new Cubix.Overlay($(Cubix.Agencyescort.container), {
					loader: _st('loader-small.gif'),
					position: '50%',
					offset: {
						left: -11,
						top: -1
					}
				});

				var overlay2 = new Cubix.Overlay($(Cubix.Agencyescort.container2), {
					loader: _st('loader-small.gif'),
					position: '50%',
					offset: {
						left: -11,
						top: -1
					}
				});

				var overlay3 = new Cubix.Overlay($(Cubix.Agencyescort.container3), {
					loader: _st('loader-small.gif'),
					position: '50%',
					offset: {
						left: -11,
						top: -1
					}
				});
				
				overlay.disable();
				overlay2.disable();
				overlay3.disable();


				var href = this.get('href');
				 new Request({
					url: href,
					method: 'get',
					onSuccess: function (resp) {

						Cubix.Agencyescort.Load('<?= $this->lang() ?>',pagerInactive,0);
						Cubix.Agencyescort.Load('<?= $this->lang() ?>',pagerActive, 1);
						Cubix.Agencyescort.Load('<?= $this->lang() ?>',pagerDelete, -1);
						
						overlay.enable();
						overlay2.enable();
						overlay3.enable();
					}
				}).send();
			});
		}
	}*/
	
	function editProfile(btn) {
		btn = $(btn); var eid = btn.getParent('.p-escort').getElement('*[name=escort_id]').get('value');

		window.location.href = '<?= $this->getLink('simple-profile') ?>?escort=' + eid;

		return false;
	};

	function newProfile(btn) {
		
		window.location.href = '<?= $this->getLink('private-v2-profile') ?>';

		return false;
	};
	
	function newSimpleProfile(btn) {
		
		window.location.href = '<?= $this->getLink('simple-profile') ?>';

		return false;
	};

	function editGallery(btn) {
		btn = $(btn); var eid = btn.getParent('form').getElement('*[name=escort_id]').get('value');

		window.location.href = '<?= $this->getLink('private-v2-plain-photos') ?>?escort=' + eid;

		return false;
	};
	
	function editVideo(btn) {
		btn = $(btn); var eid = btn.getParent('form').getElement('*[name=escort_id]').get('value');
		window.location.href = '<?= $this->getLink('private-v2-video') ?>?escort=' + eid;

		return false;
	}

    /* Pager */

    var pagerInactive = 1;
    var pagerActive = 1;
    var pagerDelete = 1;

    

    Cubix.Agencyescort = {};

    Cubix.Agencyescort.url = ''; // Must be set from php
    Cubix.Agencyescort.container = "incontainer";
    Cubix.Agencyescort.container2 = "actcontainer";
    Cubix.Agencyescort.container3 = "delcontainer";
	Cubix.Agencyescort.data = {
		page: 1,
		per_page: 9,
		is_active: 1,
		showname: "",
		sort: 'paid-package'
	}

    Cubix.Agencyescort.Action = function(escort_id,is_active,action){

        var overlay = new Cubix.Overlay($(Cubix.Agencyescort.container), {
            loader: _st('loader-small.gif'),
            position: '50%',
            offset: {
                left: -11,
                top: -1
            }
        });

        var overlay2 = new Cubix.Overlay($(Cubix.Agencyescort.container2), {
            loader: _st('loader-small.gif'),
            position: '50%',
            offset: {
                left: -11,
                top: -1
            }
        });

        var overlay3 = new Cubix.Overlay($(Cubix.Agencyescort.container3), {
            loader: _st('loader-small.gif'),
            position: '50%',
            offset: {
                left: -11,
                top: -1
            }
        });


        overlay.disable();
        overlay2.disable();
        overlay3.disable();

        var actionUrl =  '/private-v2/ajax-escorts-do?a='+action+'&escort_id='+escort_id+'&is_active='+is_active;
        new Request({
            url: actionUrl,
            method: 'get',
            onSuccess: function (resp) {
                
                var resp = JSON.decode(resp);
                
                if($('errorElement')){
                    errorElement = $('errorElement');
                    errorElement.set('html', '');//
                }else{
                    var errorElement  = new Element('div', {id: 'errorElement','class':'error-message'});
                }
                
                if(resp && resp.message != '' && !resp.success){
      
                    errorElement.set('html', resp.message);//
                    errorElement.inject($("escorts"),'top');
                }else{
                    Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:pagerActive, is_active:1});
					Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:pagerInactive, is_active:0 });
					Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:pagerDelete, is_active:-1 });
                }
				
				initSusRes();
				initSusResDetails();
				
                overlay.enable();
                overlay2.enable();
                overlay3.enable();

            }
        }).send();

        return false;
    }

    Cubix.Agencyescort.Load = function (data) {
		
		Object.append(Cubix.Agencyescort.data,data);
		
		if ( data.showname == undefined || data.showname =='') {
			var s_showname = $('s_form').getElement('input[name=s_showname]').get('value');
			if (s_showname){
				showname = s_showname;
			}
			else{
				showname = '';
			}
			
		}
		
        if(data.is_active == 1){
            pagerActive = data.page;
			if($defined(data.sort)){
				Cubix.Agencyescort.filter(data.sort,'sort');
			}
			if($defined(data.per_page)){
				Cubix.Agencyescort.filter(data.per_page,'per_page');
			}
			Cubix.Agencyescort.Show(Cubix.Agencyescort.container2);
        }else if(data.is_active == -1){
			Cubix.Agencyescort.data.per_page = 9; 
            pagerDelete = data.page;
            Cubix.Agencyescort.Show(Cubix.Agencyescort.container3);
        }else{
			Cubix.Agencyescort.data.per_page = 9; 
            pagerInactive = data.page;
            Cubix.Agencyescort.Show(Cubix.Agencyescort.container);
        }

        return false;
    }




    Cubix.Agencyescort.Show = function (container) {
		if (!Browser.ie6 && !Browser.ie7)
		{
			var overlay = new Cubix.Overlay($(container), {
				loader: _st('loader-small.gif'),
				position: '50%',
				offset: {
					left: -11,
					top: -1
				}
			});

			overlay.disable();
		}

        new Request({
            url: "/private-v2/ajax-get-agency-escorts",
            method: 'post',
			data:Cubix.Agencyescort.data,			
            onSuccess: function (resp) {
                $(container).set('html', resp);
				
				if (!Browser.ie6 && !Browser.ie7)
					overlay.enable();
            }
        }).send();
    }

    
	
    /* Package Switch Popup */

    Cubix.Agencyescort.Popup = {};


    Cubix.Agencyescort.Popup.inProcess = false;
    var page_overlay = null;
    Cubix.Agencyescort.Popup.Show = function (box_height, box_width,escort_id,isActive) {
        if ( Cubix.Agencyescort.Popup.inProcess ) return false;

        currentEscortId = escort_id;
        

        page_overlay = new Cubix.Overlay(document.body, { has_loader: false, opacity: 0.5, color: '#000' });
        page_overlay.disable();

        var y_offset = 30;
		
        var container = new Element('div', { 'class': 'Agencyescort-wrapper'}).setStyles({
            left: window.getWidth() / 2 - box_width / 2,
            top:  window.getHeight() / 2 - box_height / 2 + window.getScroll().y - y_offset+130,
            opacity: 0,
            position: 'absolute',
            'z-index': 101,
            background: '#fff',
            padding: '10px 15px'
        }).inject(document.body);

        var hiddenElement = new Element('input',{ 'type': 'hidden','name':'escort_id','value':currentEscortId});
        Cubix.Agencyescort.Popup.inProcess = true;
		
        new Request({
            url: '/<?= $this->lang(); ?>/private-v2/escort-active-package',
            method: 'post',
            data: { escort_id: escort_id,isActive: isActive },
            evalScripts: true,
            onSuccess: function (responseHTML) {
                container.set('html',responseHTML);

                var tbl = new Premium.Escorts([
                    { title: 'Package', field: 'package' },
                    { title: 'Showname', field: 'showname' },
                    { title: 'Expires', func: Premium.expires },
                    { title: 'Current Escort', field: 'escort_showname' }
                ], $$('.tbl')[0]);

                tbl.addEvents({
                    click: function (row) {
                        Premium.actionEdit(row);
                    }
                });

                var close_btn = new Element('div', {
                    html: '',
                    'class': 'popup-close-btn-v2'
                }).inject(container);

                close_btn.addEvent('click', function() {
                    $$('.Agencyescort-wrapper').destroy();
                    page_overlay.enable();
                });

                container.tween('opacity', '1');

                var forms = container.getElements('form');
                Cubix.Agencyescort.Popup.inProcess = false;
                forms.addEvent('submit', Cubix.Agencyescort.Popup.Send);
                forms.each(function (form) {
                    hiddenElement.inject(form);
                    form.set('action', form.get('action') + (form.get('action').indexOf('?') != -1 ? '&' : '?') + 'ajax');
                });
            }
        }).send();


        return false;
    }
	
    Cubix.Agencyescort.Popup.Send = function (e) {
        e.stop();


        var overlay = new Cubix.Overlay($$('.Agencyescort-wrapper')[0], { loader: _st('loader-small.gif'), position: '50%', no_relative: true });
        overlay.disable();
        
        this.set('send', {
            url: '/<?= $this->lang(); ?>/private-v2/ajax-escorts',
            method: 'post',
            onSuccess: function (resp) {
                
                resp = JSON.decode(resp);

                overlay.enable();

                if ( resp.status == 'success' ) {

                    if ( resp.signin ) {
                        window.location.reload();
                        return;
                    }
                    var close_btn = new Element('div', {
                        html: '',
                        'class': 'popup-close-btn-v2'
                    }).inject($$('.Agencyescort-wrapper')[0]);

                    close_btn.addEvent('click', function() {
                        $$('.DPopup-wrapper').destroy();
                        $$('.overlay').destroy();
                    });
                }
            }.bind(this)
        });

        this.send();
    }
	
	Cubix.Agencyescort.Popup.ChangeAgency = function(escort_id)
	{
		if ( Cubix.Agencyescort.Popup.inProcess ) return false;

        page_overlay = new Cubix.Overlay(document.body, { has_loader: false, opacity: 0.5, color: '#000' });
        page_overlay.disable();

        var y_offset = 30, box_width = 300, box_height = 200;

        var container = new Element('div', { 'class': 'Agencyescort-wrapper'}).setStyles({
            left: window.getWidth() / 2 - box_width / 2,
            top:  window.getHeight() / 2 - box_height / 2 + window.getScroll().y - y_offset+130,
            opacity: 0,
            position: 'absolute',
            'z-index': 101,
            background: '#fff',
            padding: '10px 15px'
        }).inject(document.body);
		
		Cubix.Agencyescort.Popup.inProcess = true;
        new Request.HTML({
            url: '/<?= $this->lang(); ?>/private-v2/get-linked-agencies',
            method: 'POST',
            evalScripts: true,
            onSuccess: function (responseTree, responseElements, responseHTML, responseJavaScript) {
				container.set('html',responseHTML);
				var btn = new Element('button').addEvent('click', function() {
					if ( $('select-agency').get('value') == '' ) {
						alert('Select agency first');
					} else {
						change_agency_overlay = new Element('div', {'style' : 'opacity : 0.5; height: 100%; width: 100%; z-index: 200; top: 0; background-color: #ccc; position: absolute'});
						change_agency_overlay.inject($('change-agency-container'));
						new Request({
							url: '/private-v2/change-escort-agency',
							method: 'POST',
							data: {agencyId: $('select-agency').get('value'), escortId: escort_id},
							onSuccess: function (result) {
								container.destroy();
								location.reload();
							}
						}).send();
					}
				});
				new Element('img', { src: _st('_/btn_save-small_<?= $this->lang(); ?>.gif') }).inject(btn);
				btn.inject($('change-agency-container'));
				
				var close_btn = new Element('div', {
					html: '',
					'class': 'popup-close-btn-v2'
				}).inject(container);

				close_btn.addEvent('click', function() {
					$$('.Agencyescort-wrapper').destroy();
					page_overlay.enable();
				});
				
				container.tween('opacity', '1');
				
				Cubix.Agencyescort.Popup.inProcess = false;
            }
        }).send();
		
		return false;
	}
	
	window.addEvent('domready', function(){
		//initSusRes();	
	});
    /* Package Switch Popup */
		window.addEvent('domready', function(){
		$('s_form').addEvent('submit', function(e){
			e.stop();

			var showname = this.getElement('input[name=s_showname]').get('value');
			var sort = $('sort-name').get('value');
			if ( showname == undefined ) {
				showname = '';
			}
			Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:1, is_active:1, showname: showname});
			Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:1, is_active:0, showname: showname });
			Cubix.Agencyescort.Load({ lang: '<?= $this->lang() ?>', page:1, is_active:-1, showname: showname });
			
		});
	});
	
	Cubix.Agencyescort.filter = function (filter,type) {
	
		var els = [];
		var optionList;
		var nameList;
		if(type == "sort"){
			optionList = $('sort-options');
			nameList = $('sort-name');
		}
		else if(type == "per_page"){
			optionList = $('per-page-options');
			nameList = $('per-page-name');
			
		}
		else{
			return
		}
		
		if ( $defined(filter) ) {
			els.include({el: optionList, value: filter});
		}
		
		if ( ! els.length ) return;
		
		els.each(function (el) {
			var value = el.value;
			el = el.el;
			nameList.set('value', value);
			var selected = el.getPrevious('.input-w').getElement('.i a.first');
			var options = el.getElements('a').filter(function (el) {return ! el.hasClass('sub')});
			var sel = el.getElements('a').filter(function (el) {return el.getStyle('display') == 'none'})[0];
			
			options.each(function (opt) {
				if ( value == opt.get('rel') ) {
					var title = opt.get('html');

					if ( ! opt.getParent('li').getParent('li').getParent('ul').hasClass('nav') ) {
						title = opt.getParent('li').getParent('li').getElement('a').get('html') + '-' + title;
					}

					opt.clone().setStyle('display', 'block').set('html', title).addClass('first').replaces(selected);
					if ( sel ) {
						sel.setStyle('display', null);
					}
					opt.setStyle('display', 'none');

					options.empty();
				}
			});
		});
	}
</script>

<?
    $lang = Cubix_I18n::getLang();
    $lang_txt = ($lang == 'de')?'de_DE':'en_US';
    setlocale(LC_TIME, $lang_txt, 'de_DE.UTF-8');
?>
<div class="gray-box form">
    
	<fieldset>
		<legend><?= __('pv2_section_manage_models') ?></legend>
		<div class="body" id="escorts">

			<div style="margin:0 0 15px 0; float:left" class="actions">
				<button onclick="return newSimpleProfile(this)"><img src="<?= _st('_/btn_add-new-model_' . $this->lang() . '.gif') ?>" alt="Add Profile"></button>
			</div>
						
			<form method="post" action="" style="float: left; margin-left: 10px; margin-top:2px" id="s_form">
				<input type="text" name="s_showname" value="" style="padding: 3px;" />
				<input type="submit" value="<?= __('search') ?>" />
			</form>
			<div class="clear"></div>

			<div class="section">
				<h3><?= __('pv2_title_your_active_models') ?></h3>
				<div id="escort-filter">
					<input id ="sort-name" type="hidden" value="paid-package"/>
					<div class="grp">
						<div class="label"><?= $this->t('sort_by') ?>:</div>
						<div class="parent">
							<ul class="nav">
								<?= $this->sort_filter->render(array('PrivateV2Controller', '_sortItemDecorator')) ?>
							</ul>
						</div><!-- parent -->
					</div><!-- grp -->
					
					<input id ="per-page-name" type="hidden" value="9"/>
					<div class="grp">
						<div class="label"><?= $this->t('results_per_page') ?>:</div>
						<div class="parent">
							<ul class="nav small-nav">
								<?= $this->per_page_filter->render(array('PrivateV2Controller', '_perPageItemDecorator')) ?>
							</ul>
						</div><!-- parent -->
					</div><!-- grp -->
				</div>	
				<div class="container" id="actcontainer">
					<? if ( $this->actionError && $this->is_active ): ?>
					<div class="error-message"><?= $this->actionError ?></div>
					<? endif ?>
				<?
                
                $counter = 0;
                if( count($this->escorts_active) > 0 ):
                foreach ( $this->escorts_active as $escort ): $escort = new Model_EscortItem($escort); ?>
					<div class="p-escort">
						<form action="" method="post">
							<input type="hidden" name="is_active" value="0" />
							<input type="hidden" name="escort_id" value="<?= $escort->id ?>" />
							<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>"><?= $escort->showname ?></a> (ID <?= $escort->id ?>)<br/>
							<div class="image">
								<a class="wrap" style="position: relative" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>" target="_blank">
									<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>" width="90" height="120" alt="<?= $escort->showname ?>" />
                                    <?php
                                    if($escort->is_suspicious):
                                    ?>
                                    <span class="suspicious"></span>
                                    <?php endif; ?>
                                </a>

								<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>?prev=1" title="<?= $escort->showname ?>" target="_blank"><?= __('view_profile') ?></a>
							</div>
                           
							<div class="actions">
								<?php if(!$escort->is_suspicious): ?>
								<button onclick="return editProfile(this)"><img src="<?= _st('_/btn_edit-profile-small_' . $this->lang() . '.gif') ?>" alt="Edit Profile" /></button>
								<? endif; ?>
								<button onclick="return editGallery(this)"><img src="<?= _st('_/btn_edit-gallery-small_' . $this->lang() . '.gif') ?>" alt="Edit Gallery" /></button>
								<button onclick="return editVideo(this)"><img src="<?= _st('_/btn_edit-video-small.png') ?>" alt="Edit Video" /></button>
								
								<?php if(!$escort->is_suspicious): ?>
							
								<!--<button type="submit" name="a" value="deactivate"><img src="<?= _st('_/btn_deactivate-small_' . $this->lang() . '.gif') ?>" alt="Deactivate" /></button>
                                <button type="submit" name="a" value="delete"><img src="<?= _st('_/btn_delete-small_' . $this->lang() . '.gif') ?>" alt="Delete" /></button>
                                -->
                                <button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'deactivate');"><img src="<?= _st('_/btn_deactivate-small_' . $this->lang() . '.gif') ?>" alt="Deactivate" /></button>
								<? if ( $this->has_linked_agencies ): ?>
								<button onclick="return Cubix.Agencyescort.Popup.ChangeAgency(<?= $escort->id ?>);"><img src="<?= _st('_/change_agency_small_' . $this->lang() . '.gif') ?>" alt="Change Agency" /></button>
								<? endif; ?>
								<? if(!$escort->package): ?>
                                <button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'delete');" ><img src="<?= _st('_/btn_delete-small_' . $this->lang() . '.gif') ?>" alt="Delete" /></button>
                                <? endif; ?>
							</div> 
							<?php endif; ?>
							
							<div class="clear"></div>

                            <? if( $escort->package ): ?>
                            <?
                                $packageName = '';
                                switch ($escort->package_id) {
                                    case 9:
                                        $packageName = __('transition_package');
                                        break;
                                    case 11:
                                        $packageName = __('sc_1_monat');
                                        break;
                                    case 12:
                                        $packageName = __('club_inserat');
                                        break;
                                    case 13:
                                        $packageName = __('sc_1_woche');
                                        break;
                                    case 14:
                                        $packageName = __('sc_abo_1_monat');
                                        break;
                                    case 15:
                                        $packageName = __('transition_abo');
                                        break;
                                    case 16:
                                        $packageName = __('promo_ro');
                                        break;
                                    case 17:
                                        $packageName = __('sc_ro_1_monat');
                                        break;
                                    case 18:
                                        $packageName = __('sc_upgrade_1_monat');
                                        break;
                                    case 19:
                                        $packageName = __('1_day_pass');
                                        break;
                                    case 20:
                                        $packageName = __('3_day_pass');
                                        break;
                                    case 22:
                                        $packageName = __('sc_upgrade_1_woche');
                                        break;
                                    case 23:
                                        $packageName = __('5_day_pass');
                                        break;
                                    case 24:
                                        $packageName = __('sc_1_monat_2');
                                        break;
                                    case 25:
                                        $packageName = __('club_inserat_2');
                                        break;
                                    case 26:
                                        $packageName = __('5_day_pass_free');
                                        break;
                                }
                            ?>
							<div class="pckg-info">
								<div class="fl w100">
									Package: <br />
									<b><?= $packageName ?></b><br />
									<? if ( $escort->phone_exp_date ): ?>
                                    <?$date = new DateTime($escort->phone_exp_date);?>
									<? $days = strtotime($escort->phone_exp_date) - strtotime("now"); ?>
									<?= $this->t('time_left', array('DAYS' => '<b>'.date('d',$days) . '</b>')) ?><span class="strong" style="font-size: 9px;margin-left: -3px">&nbsp;(<?= strftime("%d %B %Y %H:%M", $date->getTimestamp()) ?>)</span>
									<? /*Expire: <b><?= date('d.m.Y H:i',strtotime($escort->phone_exp_date)); ?></b> */?>
									<? else: ?>
										<?php 
											if ($escort->days_left) {
												$days = $escort->days_left;
											} else {
												$day_diff = strtotime($escort->expiration_date) - strtotime("now");
												if ($day_diff < 0) {
													$days = '01';
												} else {
													$days = date('d', $day_diff);
												}
											}
											$date = new DateTime($escort->expiration_date.' 00:00');
										?>
										<?= $this->t('time_left', array('DAYS' => '<b>'. $days . '</b>')) ?><span class="strong" style="font-size: 9px;margin-left: -3px">&nbsp;(<?= strftime("%d %B %Y %H:%M", $date->getTimestamp()) ?>)</span>
									<? /*Expire: <b><?= date('d.m.Y',strtotime($escort->expiration_date) - 24*60*60); ?></b>*/?>
									<? endif; ?>                        
								</div>

								<div class="fl w90" style="margin-left: 5px;" >
								<? if( ! $escort->is_suspicious && in_array($escort->package_id, array(12, 14, 19, 20, 23,25) ) ): ?>
									<button onclick="return Cubix.Agencyescort.Popup.Show(250,900,<?php echo $escort->id; ?>,1);" ><img src="<?= _st('_/btn_package_edit_' . $this->lang() . '.gif') ?>" alt="Change" /></button>
								<? endif; ?>
									
								<? if ( in_array(17, $escort->products) ): ?>
									<a href="suspend-resume?a=<? if($escort->op_status == 2): ?>suspend<? elseif( $escort->op_status == 6 ): ?>resume<? endif; ?>&op_id=<?= $escort->opid ?>" class="sus-res <? if($escort->op_status == 2): ?>deactivate<? elseif( $escort->op_status == 6 ): ?>activate<? endif; ?>"></a>
								<? endif; ?>
								</div>
								<div class="clear"></div>
								
								<? if ( in_array(17, $escort->products) ): ?>								
									<a href="susres-details?op_id=<?= $escort->opid ?>" class="susres-details"><?= __('suspend_resume_details') ?></a>
								<? endif; ?>
							</div>	
                            <? endif; ?>			
                        </form>

					</div>
                    <?php
                    if($counter%3==2){
                        ?>
                    <div class="clear"></div>
                        <?php
                    }
                    $counter++;
                    ?>
				<? endforeach; endif; ?>

               

					<div class="clear"></div>

                     <? $per_page = $this->escorts_per_page; ?>
                <? $pages_count = ceil($this->escorts_a_count / $per_page); ?>

                <? if ( $pages_count != 1 ): ?>
                <p class="dashboard-paging">
                    <?  $pages = $this->paging($this->escorts_a_count, $this->current_page, $per_page); ?>
                    <? if ( 1 < $this->current_page): ?>
                        <a class="prev" href="#" onclick="return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?=($this->current_page - 1) ?>, is_active: 1 });"></a>
                    <? endif ?>

                    <? foreach ( $pages as $page ): ?>
                    <? if ( $this->current_page == $page ): ?>
                        <span><?= $page ?></span>
                    <? else: ?>
                        <a class="p" href="#" onclick="return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?= $page ?>, is_active: 1 })" ><?= $page ?></a>
                    <? endif ?>
                    <? endforeach ?>

                    <? if ( $pages_count > $this->current_page): ?>
                        <a class="next" href="#" onclick="return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?=($this->current_page + 1) ?>, is_active: 1 }"></a>
                    <? endif ?>
                </p>
                <? endif;?>

				</div>
			</div>

			<div class="section">
				<h3><?= __('pv2_title_your_inactive_models') ?></h3>
                <div class="container" id="incontainer">
					<? if ( $this->actionError && ! $this->is_active ): ?>
					<div class="error-message"><?= $this->actionError ?></div>
					<? endif ?>
				<?
                $counter = 0;
                if( count($this->escorts_inactive) > 0):
                foreach ( $this->escorts_inactive as $escort ): $escort = new Model_EscortItem($escort); ?>
					
                    <div class="p-escort">
						<form action="" method="post">
							<input type="hidden" name="is_active" value="0" />
							<input type="hidden" name="escort_id" value="<?= $escort->id ?>" />
							<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>"><?= $escort->showname ?></a><br/>
							<div class="image">
								<a class="wrap" style="position:relative" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>">
									<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>" width="90" height="120" alt="<?= $escort->showname ?>" />
                                     <?php
                                    if($escort->is_suspicious):
                                    ?>
                                    <span class="suspicious"></span>
                                    <?php endif; ?>
                                </a>
                                
								<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>?prev=1" title="<?= $escort->showname ?>" target="_blank"><?= __('view_profile') ?></a>
							</div>
                            
							<div class="actions">
                            <?php
                            if(!$escort->is_suspicious):
                            ?>
								<button onclick="return editProfile(this)"><img src="<?= _st('_/btn_edit-profile-small_' . $this->lang() . '.gif') ?>" alt="Edit Profile" /></button>
                                <?php endif; ?>
								
                                <button onclick="return editGallery(this)"><img src="<?= _st('_/btn_edit-gallery-small_' . $this->lang() . '.gif') ?>" alt="Edit Gallery" /></button>
								<button onclick="return editVideo(this)"><img src="<?= _st('_/btn_edit-video-small.png') ?>" alt="Edit Video" /></button>
								
								<!--<button type="submit" name="a" value="activate"><img src="<?= _st('_/btn_activate-small_' . $this->lang() . '.gif') ?>" alt="Activate" /></button>
                                <button type="submit" name="a" value="delete"><img src="<?= _st('_/btn_delete-small_' . $this->lang() . '.gif') ?>" alt="Delete" /></button>
                                -->
                                <button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'activate');"><img src="<?= _st('_/btn_activate-small_' . $this->lang() . '.gif') ?>" alt="Activate" /></button>
								<? if ( $this->has_linked_agencies ): ?>
								<button onclick="return Cubix.Agencyescort.Popup.ChangeAgency(<?= $escort->id ?>);"><img src="<?= _st('_/change_agency_small_' . $this->lang() . '.gif') ?>" alt="Change Agency" /></button>
								<? endif; ?>
								<? if(!$escort->package): ?>
                                <button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'delete');" ><img src="<?= _st('_/btn_delete-small_' . $this->lang() . '.gif') ?>" alt="Delete" /></button>
                                <? endif; ?>
							</div>
							<div class="clear"></div>
							
							
                            <? if( $escort->package ): ?>
							<div class="pckg-info">
								<div class="fl w100">
									Package: <br />
									<b><?= $escort->package ?></b><br />
									<? if ( $escort->phone_exp_date ): ?>
                                    <?$date = new DateTime($escort->phone_exp_date);?>
                                    <? $days = strtotime($escort->phone_exp_date) - strtotime("now"); ?>
									<?= $this->t('time_left', array('DAYS' => '<b>'.date('d',$days) . '</b>')) ?><span class="strong" style="font-size: 9px;margin-left: -3px">&nbsp;(<?= strftime("%d %B %Y %H:%M", $date->getTimestamp()) ?>)</span>
									<? /*Expire: <b><?= date('d.m.Y H:i',strtotime($escort->phone_exp_date)); ?></b>*/?>
									<? else: ?>
										<div style="display: none"><?php var_dump($escort->days_left); var_dump($escort->expiration_date); ?></div>
                                        <?
                                            $date = new DateTime($escort->expiration_date.' 00:00');
                                        ?>
										<? $days = ($escort->days_left) ? $escort->days_left : date('d', strtotime($escort->expiration_date) - strtotime("now")); ?>
										<?= $this->t('time_left', array('DAYS' => '<b>'. $days . '</b>')) ?><span class="strong" style="font-size: 9px;margin-left: -3px">&nbsp;(<?= strftime("%d %B %Y %H:%M", $date->getTimestamp()) ?>)</span>
									<? /*Expire: <b><?= date('d.m.Y',strtotime($escort->expiration_date) - 24*60*60); ?></b>*/?>
									<? endif; ?>
								</div>

								<div class="fl w90" style="margin-left: 5px;" >
								<? if( ! $escort->is_suspicious && in_array($escort->package_id, array(12, 14, 19, 20, 23,25) ) ): ?>
									<button onclick="return Cubix.Agencyescort.Popup.Show(250,900,<?php echo $escort->id; ?>,1);" ><img src="<?= _st('_/btn_package_edit_' . $this->lang() . '.gif') ?>" alt="Change" /></button>
								<? endif; ?>
									
								<? if ( in_array(17, $escort->products) ): ?>
									<a href="suspend-resume?a=<? if($escort->op_status == 2): ?>suspend<? elseif( $escort->op_status == 6 ): ?>resume<? endif; ?>&op_id=<?= $escort->opid ?>" class="sus-res <? if($escort->op_status == 2): ?>deactivate<? elseif( $escort->op_status == 6 ): ?>activate<? endif; ?>"></a>
								<? endif; ?>
								</div>
								<div class="clear"></div>
								
								<? if ( in_array(17, $escort->products) ): ?>								
									<a href="susres-details?op_id=<?= $escort->opid ?>" class="susres-details"><?= __('suspend_resume_details') ?></a>
								<? endif; ?>
							</div>	
                            <? endif; ?>
						</form>
					</div>
				
                    <?php
                    if($counter%3==2){
                        ?>
                    <div class="clear"></div>
                        <?php
                    }
                    $counter++;
                    ?>
					

                    <? endforeach; endif; ?>

                    
                    <div class="clear"></div>
                    <? $per_page = $this->escorts_per_page; ?>
                    <? $pages_count = ceil($this->escorts_i_count / $per_page); ?>

                    <?
                    if ( $pages_count != 1 ): ?>
                   <p class="dashboard-paging">
                        <?  $pages = $this->paging($this->escorts_i_count, $this->current_page, $per_page); ?>
                        <? if ( 1 < $this->current_page): ?>
                            <a class="prev" href="#" onclick="return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?=($this->current_page - 1) ?>, is_active: 0 });"></a>
                        <? endif ?>

                        <? foreach ( $pages as $page ): ?>
                        <? if ( $this->current_page == $page ): ?>
                            <span><?= $page ?></span>
                        <? else: ?>
                            <a class="p" href="#" onclick="return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?= $page ?>, is_active: 0 });"><?= $page ?></a>
                        <? endif ?>
                        <? endforeach ?>

                        <? if ( $pages_count > $this->current_page): ?>
                            <a class="next" onclick=" return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?= ($this->current_page + 1) ?>, is_active: 0 }) " href="#"></a>
                        <? endif ?>
                    </p>
                    <? endif;?>
				</div>
			</div>


            <div class="section">
				<h3><?= __('pv2_title_your_deleted_models') ?></h3>
                <div class="container" id="delcontainer">
					<? if ( $this->actionError && ! $this->is_active ): ?>
					<div class="error-message"><?= $this->actionError ?></div>
					<? endif ?>
				<?
                $counter = 0;
                if( count($this->escorts_deleted) > 0 ):
                foreach ( $this->escorts_deleted as $escort ): $escort = new Model_EscortItem($escort); ?>

                    <div class="p-escort">
						<form action="" method="post">
							<input type="hidden" name="is_active" value="0" />
							<input type="hidden" name="escort_id" value="<?= $escort->id ?>" />
							<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>"><?= $escort->showname ?></a><br/>
							<div class="image">
								<a class="wrap" style="position:relative" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>">
									<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>" width="90" height="120" alt="<?= $escort->showname ?>" />
                                     <?php
                                    if($escort->is_suspicious):
                                    ?>
                                    <span class="suspicious"></span>
                                    <?php endif; ?>
                                </a>

								
							</div>

							

							<div class="actions" style="border: 0 none">
								<!--<button type="submit" name="a" value="activate"><img src="<?= _st('_/btn_activate-small.gif') ?>" alt="Activate" /></button>
                                <button type="submit" name="a" value="delete"><img src="<?= _st('_/btn_delete-small.gif') ?>" alt="Delete" /></button>
                                -->
                                <button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'restore');"><img src="<?= _st('_/btn_restore-small_' . $this->lang() . '.gif') ?>" alt="Restore" /></button>
                                
							</div>
							<div class="clear"></div>
                            <p class="error-message" style="font-size: 10px;">Account will be removed After <?= ceil(  48 - (time() - strtotime($escort->deleted_date) + 60 )/3600 ) ; ?> hours</p>
                            <? if($escort->package): ?>
                            <div class="fl w100">
                                Package: <br />
                                <b><?php echo $escort->package ?></b><br />
                                <? if ( $escort->phone_exp_date ): ?>
								Expire: <b><?= date('d.m.Y H:i',strtotime($escort->phone_exp_date)); ?></b>
								<? else: ?>
								Expire: <b><?= date('d.m.Y',strtotime($escort->expiration_date) - 24*60*60); ?></b>
								<? endif; ?>
                            </div>
                             <?php
                            if( ! $escort->is_suspicious && in_array($escort->package_id, array(12, 14, 19, 20, 23,25) ) ):
                            ?>
                            <div class="fl w90" >
                                <button onclick="return Cubix.Agencyescort.Popup.Show(250,900,<?php echo $escort->id; ?>);" ><img src="<?= _st('_/btn_edit-small.gif') ?>" alt="Change" /></button>
                            </div>
                            <?php endif; ?>
                            <div class="clear"></div>
                            <? endif ?>
						</form>
					</div>

                    <?php
                    if($counter%3==2){
                        ?>
                    <div class="clear"></div>
                        <?php
                    }
                    $counter++;
                    ?>


                    <? endforeach; endif; ?>


                    <div class="clear"></div>
                    <? $per_page = $this->escorts_per_page; ?>
                    <? $pages_count = ceil($this->escorts_d_count / $per_page); ?>

                    <?
                    if ( $pages_count != 1 ): ?>
                    <p class="dashboard-paging">
                        <?  $pages = $this->paging($this->escorts_d_count, $this->current_page, $per_page); ?>
                        <? if ( 1 < $this->current_page): ?>
                            <a class="prev" href="#" onclick="return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?=($this->current_page - 1) ?>, is_active: -1 });"></a>
                        <? endif ?>

                        <? foreach ( $pages as $page ): ?>
                        <? if ( $this->current_page == $page ): ?>
                            <span><?= $page ?></span>
                        <? else: ?>
                            <a class="p" href="#" onclick="return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?= $page ?>, is_active: -1 });"><?= $page ?></a>
                        <? endif ?>
                        <? endforeach ?>

                        <? if ( $pages_count > $this->current_page): ?>
                            <a class="next" onclick=" return Cubix.Agencyescort.Load({lang:'<?= $this->lang() ?>', page: <?= ($this->current_page + 1) ?>, is_active: -1 }) " href="#"></a>
                        <? endif ?>
                    </p>
                    <? endif;?>
				</div>
			</div>
		</div>
	</fieldset>
</div>
